//
//  CHBezierPathAdditions.h
//  Chocolat
//
//  Created by Pieter Omvlee on 3/18/09.
//  Copyright 2009 Bohemian Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "CHGeometryExtensions.h"

extern CGPathRef CGContextCopyPath(CGContextRef context);

@interface NSBezierPath (CHBezierPathAdditions)

- (void)strokeOutside;
- (void)strokeInside;

+ (NSBezierPath *)bezierPathFromPoint:(NSPoint)from toPoint:(NSPoint)to;
+ (NSBezierPath *)bezierCurveFromPoint:(NSPoint)from toPoint:(NSPoint)to controlPoint1:(NSPoint)p1 controlPoint2:(NSPoint)p2;

- (NSBezierPath *)strokedPath;
- (CGPathRef)cgPath;
- (CGMutablePathRef)mutableCGPath;
@end

@interface NSBezierPath (NSPrivate)
+ (NSBezierPath *)bezierPathWithCGPath:(CGPathRef)path;
+ (NSBezierPath *)bezierPathWithPathFromContext:(CGContextRef)context;

- (NSGraphicsContext *)strokedPathHelperContext;
- (void)setCGPath:(CGPathRef)aPathRef inContext:(CGContextRef)aContext;
@end